Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-gtk-3.22/messagedlg.c File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Macros | Functions | Variables
messagedlg.c File Reference
`#include <gtk/gtk.h>`
`#include "fcintl.h"`
`#include "events.h"`
`#include "options.h"`
`#include "colors.h"`
`#include "gui_main.h"`
`#include "gui_stuff.h"`
`#include "messagedlg.h"`

Go to the source code of this file.

## Macros

#define | NUM_LISTS 1

## Functions

static void | create_messageopt_dialog (void)
static void | messageopt_response (struct gui_dialog *dlg, int response, gpointer data)
static void | item_toggled (GtkCellRendererToggle *cell, gchar *spath, gpointer data)
void | popup_messageopt_dialog (void)

## Variables

static struct gui_dialog * | shell
static GtkListStore * | models [NUM_LISTS]

## Macro Definition Documentation

## ◆ NUM_LISTS

#define NUM_LISTS 1

Definition at line 36 of file messagedlg.c.

## Function Documentation

## ◆ create_messageopt_dialog()

static void create_messageopt_dialog | ( | void |  | ) |

static

Create messageoptions dialog

Definition at line 63 of file messagedlg.c.

Referenced by popup_messageopt_dialog().

## ◆ item_toggled()

static void item_toggled | ( | GtkCellRendererToggle * | cell,
|  | gchar * | spath,
|  | gpointer | data
| ) |  |

static

User toggled item

Definition at line 206 of file messagedlg.c.

Referenced by create_messageopt_dialog().

## ◆ messageopt_response()

static void messageopt_response | ( | struct gui_dialog * | dlg,
|  | int | response,
|  | gpointer | data
| ) |  |

static

Use responded to messageoptions dialog

Definition at line 174 of file messagedlg.c.

Referenced by create_messageopt_dialog().

## ◆ popup_messageopt_dialog()

void popup_messageopt_dialog | ( | void |  | ) |

Open messageoptions dialog

Definition at line 51 of file messagedlg.c.

Referenced by message_options_callback(), message_options_callback(), and mr_menu::messages_options().

## Variable Documentation

## ◆ models

GtkListStore* models[NUM_LISTS]

static

Definition at line 40 of file messagedlg.c.

Referenced by create_messageopt_dialog(), and messageopt_response().

## ◆ shell

struct gui_dialog* shell

static

Definition at line 39 of file messagedlg.c.

Referenced by buy_callback(), confirm_cancel_pact(), create_intel_dialog(), create_intel_wonder_dialog(), create_messageopt_dialog(), create_multiplier_dialog(), create_races_dialog(), create_rates_dialog(), create_worklists_report(), economy_report_command_callback(), input_dialog_close(), input_dialog_create(), input_dialog_response(), option_dialog_destroy(), popdown_worklist(), popup_bribe_dialog(), popup_connect_msg(), popup_disband_dialog(), popup_incite_dialog(), popup_messageopt_dialog(), popup_notify_dialog(), popup_notify_goto_dialog(), popup_revolution_dialog(), popup_upgrade_dialog(), popup_worklist(), save_dialog_new(), save_game_dialog_popup(), save_mapimg_dialog_popup(), save_scenario_dialog_popup(), setup_dialog(), and units_report_command_callback().